## r-cran-phylobase 0.8.2

=== DESCRIPTION ===
Package: phylobase
Type: Package
Title: Base Package for Phylogenetic Structures and Comparative Data
Version: 0.8.2
Imports: ade4, ape (>= 3.0), Rcpp (>= 0.11.0), rncl (>= 0.6.0), grid,
        methods, stats, RNeXML
LinkingTo: Rcpp
Suggests: MASS, testthat (>= 0.8.1), knitr
Author: R Hackathon et al. (alphabetically: Ben Bolker, Marguerite Butler,
    Peter Cowan, Damien de Vienne, Dirk Eddelbuettel, Mark Holder, Thibaut
    Jombart, Steve Kembel, Francois Michonneau, David Orme, Brian O'Meara,
    Emmanuel Paradis, Jim Regetz, Derrick Zwickl)
Maintainer: Francois Michonneau <francois.michonneau@gmail.com>
Description: Provides a base S4 class for comparative methods, incorporating
    one or more trees and trait data.
License: GPL (>= 2)
URL: https://github.com/fmichonneau/phylobase
BugReports: https://github.com/fmichonneau/phylobase/issues
LazyData: true
Collate: 'oldclasses-class.R' 'internal-constructors.R'
        'phylo4-methods.R' 'RcppExports.R' 'checkdata.R'
        'phylo4-class.R' 'getNode-methods.R' 'formatData.R'
        'phylo4d-class.R' 'phylo4d-methods.R' 'MRCA-methods.R'
        'addData-methods.R' 'ancestors.R' 'phylo4-accessors.R'
        'root-methods.R' 'nodeId-methods.R' 'edgeLength-methods.R'
        'setAs-methods.R' 'extractTree.R' 'labels-methods.R'
        'multiphylo4-class.R' 'pdata.R' 'phylo4d-accessors.R'
        'phylobase-package.R' 'phylobase.options.R' 'phylomats-class.R'
        'print-methods.R' 'readNCL.R' 'reorder-methods.R'
        'shortestPath-methods.R' 'subset-methods.R' 'summary-methods.R'
        'tbind.R' 'tdata-methods.R' 'treePlot.R' 'treestruc.R' 'zzz.R'
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-01-22 16:13:13 UTC; francois
Repository: CRAN
Date/Publication: 2016-01-23 00:32:41

=== debian/changelog ===
r-cran-phylobase (0.8.2-1) unstable; urgency=low

  * Initial release (Closes: #820520)

 -- Andreas Tille <tille@debian.org>  Sat, 09 Apr 2016 13:54:52 +0200

=== debian/control ===
Source: r-cran-phylobase
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-ape,
               r-cran-ade4,
               r-cran-rcpp,
               r-cran-rncl,
               r-cran-rnexml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-phylobase/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-phylobase/trunk/
Homepage: https://cran.r-project.org/web/packages/phylobase/

Package: r-cran-phylobase
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends},
         r-cran-ape,
         r-cran-ade4,
         r-cran-rncl,
         r-cran-rnexml
Description: GNU R base package for phylogenetic structures and comparative data
 This R package provides a base S4 class for comparative methods,
 incorporating one or more trees and trait data as these are used in
 other packages dealing with phylogenetic structures and comparative data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod -x $(debRlib)/$(cranName)/nexusfiles/co1.nex

## r-cran-phylobase 0.8.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: phylobase
 Type: Package
 Title: Base Package for Phylogenetic Structures and Comparative Data
-Version: 0.8.2
+Version: 0.8.4
 Imports: ade4, ape (>= 3.0), Rcpp (>= 0.11.0), rncl (>= 0.6.0), grid,
         methods, stats, RNeXML
 LinkingTo: Rcpp
@@ -30,8 +30,8 @@
         'shortestPath-methods.R' 'subset-methods.R' 'summary-methods.R'
         'tbind.R' 'tdata-methods.R' 'treePlot.R' 'treestruc.R' 'zzz.R'
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2016-01-22 16:13:13 UTC; francois
+Packaged: 2017-04-21 21:15:46 UTC; francois
 Repository: CRAN
-Date/Publication: 2016-01-23 00:32:41
+Date/Publication: 2017-04-21 23:40:13 UTC

=== debian/changelog ===
r-cran-phylobase (0.8.4-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 22:47:11 +0200

r-cran-phylobase (0.8.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * use dh-r instead of cdbs
  * canonical Homepage for CRAN packages
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 22:38:05 +0200

=== debian/control ===
Source: r-cran-phylobase
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-ape,
               r-cran-ade4,
               r-cran-rcpp,
               r-cran-rncl,
               r-cran-rnexml
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-phylobase.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-phylobase.git
Homepage: https://cran.r-project.org/package=phylobase

Package: r-cran-phylobase
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R base package for phylogenetic structures and comparative data
 This R package provides a base S4 class for comparative methods,
 incorporating one or more trees and trait data as these are used in
 other packages dealing with phylogenetic structures and comparative data.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/phylobase_([-0-9\.]*).tar.gz

## r-cran-phylobase 0.8.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: phylobase
 Type: Package
 Title: Base Package for Phylogenetic Structures and Comparative Data
-Version: 0.8.4
+Version: 0.8.6
 Imports: ade4, ape (>= 3.0), Rcpp (>= 0.11.0), rncl (>= 0.6.0), grid,
         methods, stats, RNeXML
 LinkingTo: Rcpp
@@ -30,8 +30,9 @@
         'shortestPath-methods.R' 'subset-methods.R' 'summary-methods.R'
         'tbind.R' 'tdata-methods.R' 'treePlot.R' 'treestruc.R' 'zzz.R'
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2017-04-21 21:15:46 UTC; francois
+Packaged: 2019-02-02 15:37:09 UTC; francois
 Repository: CRAN
-Date/Publication: 2017-04-21 23:40:13 UTC
+Date/Publication: 2019-02-02 16:10:03 UTC

=== debian/changelog ===
r-cran-phylobase (0.8.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 09:33:40 +0100

r-cran-phylobase (0.8.4-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 19:42:17 +0200

=== debian/control ===
Source: r-cran-phylobase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-ade4,
               r-cran-ape,
               r-cran-rcpp (>= 0.11.0),
               r-cran-rncl,
               r-cran-rnexml
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-phylobase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-phylobase.git
Homepage: https://cran.r-project.org/package=phylobase

Package: r-cran-phylobase
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R base package for phylogenetic structures and comparative data
 This R package provides a base S4 class for comparative methods,
 incorporating one or more trees and trait data as these are used in
 other packages dealing with phylogenetic structures and comparative data.

## r-cran-phylobase 0.8.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: phylobase
 Type: Package
 Title: Base Package for Phylogenetic Structures and Comparative Data
-Version: 0.8.6
+Version: 0.8.8
 Imports: ade4, ape (>= 3.0), Rcpp (>= 0.11.0), rncl (>= 0.6.0), grid,
         methods, stats, RNeXML
 LinkingTo: Rcpp
@@ -30,9 +30,9 @@
         'shortestPath-methods.R' 'subset-methods.R' 'summary-methods.R'
         'tbind.R' 'tdata-methods.R' 'treePlot.R' 'treestruc.R' 'zzz.R'
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-02-02 15:37:09 UTC; francois
+Packaged: 2020-02-10 03:38:46 UTC; francois
 Repository: CRAN
-Date/Publication: 2019-02-02 16:10:03 UTC
+Date/Publication: 2020-02-11 21:40:02 UTC

=== debian/changelog ===
r-cran-phylobase (0.8.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 20:27:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-ade4,
                r-cran-ape,
-               r-cran-rcpp (>= 0.11.0),
+               r-cran-rcpp,
                r-cran-rncl,
                r-cran-rnexml
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-phylobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-phylobase.git
 Homepage: https://cran.r-project.org/package=phylobase

## r-cran-phylobase 0.8.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: phylobase
 Type: Package
 Title: Base Package for Phylogenetic Structures and Comparative Data
-Version: 0.8.8
+Version: 0.8.10
 Imports: ade4, ape (>= 3.0), Rcpp (>= 0.11.0), rncl (>= 0.6.0), grid,
         methods, stats, RNeXML
 LinkingTo: Rcpp
@@ -30,9 +30,9 @@
         'shortestPath-methods.R' 'subset-methods.R' 'summary-methods.R'
         'tbind.R' 'tdata-methods.R' 'treePlot.R' 'treestruc.R' 'zzz.R'
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2
+RoxygenNote: 7.0.2.9000
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-02-10 03:38:46 UTC; francois
+Packaged: 2020-03-01 07:30:03 UTC; francois
 Repository: CRAN
-Date/Publication: 2020-02-11 21:40:02 UTC
+Date/Publication: 2020-03-01 08:00:06 UTC

=== debian/changelog ===
r-cran-phylobase (0.8.10-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:20:39 +0000

r-cran-phylobase (0.8.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Mar 2020 11:30:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-phylobase
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/phylobase_([-0-9\.]*).tar.gz

## r-cran-phylobase 0.8.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: phylobase
 Type: Package
 Title: Base Package for Phylogenetic Structures and Comparative Data
-Version: 0.8.10
+Version: 0.8.12
 Imports: ade4, ape (>= 3.0), Rcpp (>= 0.11.0), rncl (>= 0.6.0), grid,
         methods, stats, RNeXML
 LinkingTo: Rcpp
-Suggests: MASS, testthat (>= 0.8.1), knitr
+Suggests: MASS, testthat (>= 0.8.1), knitr, rmarkdown
 Author: R Hackathon et al. (alphabetically: Ben Bolker, Marguerite Butler,
     Peter Cowan, Damien de Vienne, Dirk Eddelbuettel, Mark Holder, Thibaut
     Jombart, Steve Kembel, Francois Michonneau, David Orme, Brian O'Meara,
@@ -30,9 +30,9 @@
         'shortestPath-methods.R' 'subset-methods.R' 'summary-methods.R'
         'tbind.R' 'tdata-methods.R' 'treePlot.R' 'treestruc.R' 'zzz.R'
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2.9000
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-03-01 07:30:03 UTC; francois
+Packaged: 2024-01-29 16:12:26 UTC; francois
 Repository: CRAN
-Date/Publication: 2020-03-01 08:00:06 UTC
+Date/Publication: 2024-01-30 00:20:03 UTC

=== debian/changelog ===
r-cran-phylobase (0.8.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Feb 2024 10:19:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: r-cran-phylobase
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ade4,
@@ -12,10 +12,11 @@
                r-cran-rcpp,
                r-cran-rncl,
                r-cran-rnexml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-phylobase
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-phylobase.git
 Homepage: https://cran.r-project.org/package=phylobase
+Rules-Requires-Root: no
 
 Package: r-cran-phylobase
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name co1.nex -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/phylobase_([-0-9\.]*).tar.gz
